MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
ReplayGainMode.hxx File Reference
`#include "Compiler.h"`
`#include <stdint.h>`
Include dependency graph for ReplayGainMode.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | ReplayGainMode : uint8_t { ReplayGainMode::OFF, ReplayGainMode::ALBUM, ReplayGainMode::TRACK, ReplayGainMode::AUTO }

## Functions
gcc_pure const char * | ToString (ReplayGainMode mode)
| Return the string representation of a ReplayGainMode. More...
gcc_pure ReplayGainMode | FromString (const char *s)
| Parse a string to a ReplayGainMode. More...

## Enumeration Type Documentation

enum ReplayGainMode : uint8_t
| strong

Enumerator
OFF |
ALBUM |
TRACK |
AUTO |

Definition at line 27 of file ReplayGainMode.hxx.

## Function Documentation

gcc_pure ReplayGainMode FromString | ( | const char * | s | ) |

Parse a string to a ReplayGainMode.

Throws std::runtime_error on error.

gcc_pure const char* ToString | ( | ReplayGainMode | mode | ) |

Return the string representation of a ReplayGainMode.